Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class QuartzSchedulerMBeanImpl

    java.lang.Object
      javax.management.StandardMBean
          org.quartz.core.QuartzSchedulerMBeanImpl

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, NotificationEmitter, QuartzSchedulerMBean, JobListener, SchedulerListener

    public class QuartzSchedulerMBeanImpl

extends StandardMBean
implements NotificationEmitter, QuartzSchedulerMBean, JobListener, SchedulerListener

Field Summary
`protected org.quartz.core.QuartzSchedulerMBeanImpl.Emitter` | `emitter` emitter
`protected AtomicLong` | `sequenceNumber` sequenceNumber

Fields inherited from interface org.quartz.core.jmx.QuartzSchedulerMBean
`JOB_ADDED, JOB_DELETED, JOB_EXECUTION_VETOED, JOB_SCHEDULED, JOB_TO_BE_EXECUTED, JOB_UNSCHEDULED, JOB_WAS_EXECUTED, JOBS_PAUSED, JOBS_RESUMED, SAMPLED_STATISTICS_ENABLED, SAMPLED_STATISTICS_RESET, SCHEDULER_ERROR, SCHEDULER_PAUSED, SCHEDULER_SHUTDOWN, SCHEDULER_STARTED, SCHEDULING_DATA_CLEARED, TRIGGER_FINALIZED, TRIGGERS_PAUSED, TRIGGERS_RESUMED`

Constructor Summary
`protected` | `QuartzSchedulerMBeanImpl(QuartzScheduler scheduler)` QuartzSchedulerMBeanImpl

Method Summary
`void` | `addJob(CompositeData jobDetail, boolean replace)`
`void` | `addJob(Map<String,Object> abstractJobInfo, boolean replace)` Adds a durable job described by abstractJobInfo, which must contain the fully-qualified JobDetail class name under the key "jobDetailClass." That JobDetail type must contain a no-arg constructor and have public access.
`void` | `addNotificationListener(NotificationListener notif, NotificationFilter filter, Object callBack)`
`void` | `clear()`
`void` | `deleteCalendar(String calendarName)`
`boolean` | `deleteJob(String jobName, String jobGroupName)`
`TabularData` | `getAllJobDetails()`
`List<CompositeData>` | `getAllTriggers()`
`List<String>` | `getCalendarNames()`
`TabularData` | `getCurrentlyExecutingJobs()`
`CompositeData` | `getJobDetail(String jobName, String jobGroupName)`
`List<String>` | `getJobGroupNames()`
`List<String>` | `getJobNames(String groupName)`
`long` | `getJobsCompletedMostRecentSample()`
`long` | `getJobsExecutedMostRecentSample()`
`long` | `getJobsScheduledMostRecentSample()`
`String` | `getJobStoreClassName()`
`String` | `getName()` Get the name of the `JobListener`.
`MBeanNotificationInfo[]` | `getNotificationInfo()`
`Set<String>` | `getPausedTriggerGroups()`
`Map<String,Long>` | `getPerformanceMetrics()`
`String` | `getSchedulerInstanceId()`
`String` | `getSchedulerName()`
`String` | `getThreadPoolClassName()`
`int` | `getThreadPoolSize()`
`CompositeData` | `getTrigger(String name, String groupName)`
`List<String>` | `getTriggerGroupNames()`
`List<String>` | `getTriggerNames(String groupName)`
`List<CompositeData>` | `getTriggersOfJob(String jobName, String jobGroupName)`
`String` | `getTriggerState(String triggerName, String triggerGroupName)`
`String` | `getVersion()`
`boolean` | `interruptJob(String fireInstanceId)`
`boolean` | `interruptJob(String jobName, String jobGroupName)`
`boolean` | `isSampledStatisticsEnabled()`
`boolean` | `isShutdown()`
`boolean` | `isStandbyMode()`
`boolean` | `isStarted()`
`void` | `jobAdded(JobDetail jobDetail)` Called by the ``Scheduler`` when a ``JobDetail`` has been added.
`void` | `jobDeleted(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.
`void` | `jobExecutionVetoed(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.
`void` | `jobPaused(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been paused.
`void` | `jobResumed(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been un-paused.
`void` | `jobScheduled(Trigger trigger)` Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.
`void` | `jobsPaused(String jobGroup)` Called by the ``Scheduler`` when a group of ``JobDetail`s` has been paused.
`void` | `jobsResumed(String jobGroup)` Called by the ``Scheduler`` when a group of ``JobDetail`s` has been un-paused.
`void` | `jobToBeExecuted(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).
`void` | `jobUnscheduled(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.
`void` | `jobWasExecuted(JobExecutionContext context, JobExecutionException jobException)` Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.
`void` | `pauseAllTriggers()`
`void` | `pauseJob(String jobName, String jobGroup)`
`void` | `pauseJobGroup(String jobGroup)`
`void` | `pauseJobs(GroupMatcher<JobKey> matcher)`
`void` | `pauseJobsAll()` Pause all jobs whose group is anything
`void` | `pauseJobsContaining(String jobGroupToken)` Pause all jobs whose group contains jobGroupToken
`void` | `pauseJobsEndingWith(String jobGroupSuffix)` Pause all jobs whose group ends with jobGroupSuffix
`void` | `pauseJobsStartingWith(String jobGroupPrefix)` Pause all jobs whose group starts with jobGroupPrefix
`void` | `pauseTrigger(String triggerName, String triggerGroup)`
`void` | `pauseTriggerGroup(String triggerGroup)`
`void` | `pauseTriggersAll()` Pause all triggers whose group is anything
`void` | `pauseTriggersContaining(String triggerGroupToken)` Pause all triggers whose group contains triggerGroupToken
`void` | `pauseTriggersEndingWith(String triggerGroupSuffix)` Pause all triggers whose group ends with triggerGroupSuffix
`void` | `pauseTriggersStartingWith(String triggerGroupPrefix)` Pause all triggers whose group starts with triggerGroupPrefix
`void` | `removeNotificationListener(NotificationListener listener)`
`void` | `removeNotificationListener(NotificationListener notif, NotificationFilter filter, Object callBack)`
`void` | `resumeAllTriggers()`
`void` | `resumeJob(String jobName, String jobGroup)`
`void` | `resumeJobGroup(String jobGroup)` Resume all jobs in the given group
`void` | `resumeJobs(GroupMatcher<JobKey> matcher)`
`void` | `resumeJobsAll()` Resume all jobs whose group is anything
`void` | `resumeJobsContaining(String jobGroupToken)` Resume all jobs whose group contains jobGroupToken
`void` | `resumeJobsEndingWith(String jobGroupSuffix)` Resume all jobs whose group ends with jobGroupSuffix
`void` | `resumeJobsStartingWith(String jobGroupPrefix)` Resume all jobs whose group starts with jobGroupPrefix
`void` | `resumeTrigger(String triggerName, String triggerGroup)`
`void` | `resumeTriggerGroup(String triggerGroup)`
`void` | `resumeTriggersAll()` Resume all triggers whose group is anything
`void` | `resumeTriggersContaining(String triggerGroupToken)` Resume all triggers whose group contains triggerGroupToken
`void` | `resumeTriggersEndingWith(String triggerGroupSuffix)` Resume all triggers whose group ends with triggerGroupSuffix
`void` | `resumeTriggersStartingWith(String triggerGroupPrefix)` Resume all triggers whose group starts with triggerGroupPrefix
`void` | `scheduleBasicJob(Map<String,Object> jobDetailInfo, Map<String,Object> triggerInfo)` Schedules a job using the given Cron/Simple triggerInfo.
`void` | `scheduleJob(Map<String,Object> abstractJobInfo, Map<String,Object> abstractTriggerInfo)` Schedules an arbitrary job described by abstractJobInfo using a trigger specified by abstractTriggerInfo.
`void` | `scheduleJob(String jobName, String jobGroup, Map<String,Object> abstractTriggerInfo)` Schedules the specified job using a trigger described by abstractTriggerInfo, which must contain the fully-qualified trigger class name under the key "triggerClass." That trigger type must contain a no-arg constructor and have public access.
`Date` | `scheduleJob(String jobName, String jobGroup, String triggerName, String triggerGroup)` Schedule an existing job with an existing trigger.
`void` | `schedulerError(String msg, SchedulerException cause)` Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.
`void` | `schedulerInStandbyMode()` Called by the ``Scheduler`` to inform the listener that it has move to standby mode.
`void` | `schedulerShutdown()` Called by the ``Scheduler`` to inform the listener that it has shutdown.
`void` | `schedulerShuttingdown()` Called by the ``Scheduler`` to inform the listener that it has begun the shutdown sequence.
`void` | `schedulerStarted()` Called by the ``Scheduler`` to inform the listener that it has started.
`void` | `schedulerStarting()` Called by the ``Scheduler`` to inform the listener that it is starting.
`void` | `schedulingDataCleared()` Called by the ``Scheduler`` to inform the listener that all jobs, triggers and calendars were deleted.
`void` | `sendNotification(String eventType)` sendNotification
`void` | `sendNotification(String eventType, Object data)` sendNotification
`void` | `sendNotification(String eventType, Object data, String msg)` sendNotification
`void` | `setSampledStatisticsEnabled(boolean enabled)`
`void` | `shutdown()`
`void` | `standby()`
`void` | `start()`
`void` | `triggerFinalized(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.
`void` | `triggerJob(CompositeData trigger)`
`void` | `triggerJob(String jobName, String jobGroup, Map<String,String> jobDataMap)`
`void` | `triggerPaused(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``Trigger`` has been paused.
`void` | `triggerResumed(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``Trigger`` has been un-paused.
`void` | `triggersPaused(String triggerGroup)` Called by the ``Scheduler`` when a group of ``Trigger`s` has been paused.
`void` | `triggersResumed(String triggerGroup)` Called by the ``Scheduler`` when a group of ``Trigger`s` has been un-paused.
`boolean` | `unscheduleJob(String triggerName, String triggerGroup)`

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emitter

    protected final org.quartz.core.QuartzSchedulerMBeanImpl.Emitter emitter

  emitter

### sequenceNumber

    protected final AtomicLong sequenceNumber

  sequenceNumber

Constructor Detail

### QuartzSchedulerMBeanImpl

    protected QuartzSchedulerMBeanImpl(QuartzScheduler scheduler)
                                throws NotCompliantMBeanException

  QuartzSchedulerMBeanImpl

  Throws:
    `NotCompliantMBeanException`

Method Detail

### getCurrentlyExecutingJobs

    public TabularData getCurrentlyExecutingJobs()
                                          throws Exception

  Specified by:
    `getCurrentlyExecutingJobs` in interface `QuartzSchedulerMBean`
  Returns:
    TabularData of CompositeData:JobExecutionContext
  Throws:
    `Exception`

### getAllJobDetails

    public TabularData getAllJobDetails()
                                 throws Exception

  Specified by:
    `getAllJobDetails` in interface `QuartzSchedulerMBean`
  Returns:
    TabularData of CompositeData:JobDetail
  Throws:
    `Exception`
  See Also:
    `JobDetailSupport`

### getAllTriggers

    public List<CompositeData> getAllTriggers()
                                       throws Exception

  Specified by:
    `getAllTriggers` in interface `QuartzSchedulerMBean`
  Returns:
    List of CompositeData:[CronTrigger|SimpleTrigger]
  Throws:
    `Exception`
  See Also:
    `TriggerSupport`

### addJob

    public void addJob(CompositeData jobDetail,
                       boolean replace)
                throws Exception

  Specified by:
    `addJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### scheduleBasicJob

    public void scheduleBasicJob(Map<String,Object> jobDetailInfo,
                                 Map<String,Object> triggerInfo)
                          throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Schedules a job using the given Cron/Simple triggerInfo. The triggerInfo and jobDetailInfo must contain well-known attribute values. TriggerInfo attributes: name, group, description, calendarName, priority, CronExpression | (startTime, endTime, repeatCount, repeatInterval) JobDetailInfo attributes: name, group, description, jobClass, jobDataMap, durability, shouldRecover

  Specified by:
    `scheduleBasicJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### scheduleJob

    public void scheduleJob(Map<String,Object> abstractJobInfo,
                            Map<String,Object> abstractTriggerInfo)
                     throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Schedules an arbitrary job described by abstractJobInfo using a trigger specified by abstractTriggerInfo. AbtractTriggerInfo and AbstractJobInfo must contain the following String attributes. AbstractTriggerInfo: triggerClass, the fully-qualified class name of a concrete Trigger type AbstractJobInfo: jobDetailClass, the fully-qualified class name of a concrete JobDetail type If the Trigger and JobDetail can be successfully instantiated, the remaining attributes will be reflectively applied to those instances. The remaining attributes are limited to the types: Integer, Double, Float, String, Boolean, Date, Character, Map. Maps are further limited to containing values from the same set of types, less Map itself.

  Specified by:
    `scheduleJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### scheduleJob

    public void scheduleJob(String jobName,
                            String jobGroup,
                            Map<String,Object> abstractTriggerInfo)
                     throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Schedules the specified job using a trigger described by abstractTriggerInfo, which must contain the fully-qualified trigger class name under the key "triggerClass." That trigger type must contain a no-arg constructor and have public access. Other attributes are applied reflectively and are limited to the types: Integer, Double, Float, String, Boolean, Date, Character, Map. Maps are limited to containing values from the same set of types, less Map itself.

  Specified by:
    `scheduleJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### addJob

    public void addJob(Map<String,Object> abstractJobInfo,
                       boolean replace)
                throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Adds a durable job described by abstractJobInfo, which must contain the fully-qualified JobDetail class name under the key "jobDetailClass." That JobDetail type must contain a no-arg constructor and have public access. Other attributes are applied reflectively and are limited to the types: Integer, Double, Float, String, Boolean, Date, Character, Map. Maps are limited to containing values from the same set of types, less Map itself.

  Specified by:
    `addJob` in interface `QuartzSchedulerMBean`
  Parameters:
    `abstractJobInfo` - map of attributes defining job
    `replace` - whether or not to replace a pre-existing job with the same key
  Throws:
    `Exception`

### deleteCalendar

    public void deleteCalendar(String calendarName)
                        throws Exception

  Specified by:
    `deleteCalendar` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### deleteJob

    public boolean deleteJob(String jobName,
                             String jobGroupName)
                      throws Exception

  Specified by:
    `deleteJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getCalendarNames

    public List<String> getCalendarNames()
                                  throws Exception

  Specified by:
    `getCalendarNames` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getJobDetail

    public CompositeData getJobDetail(String jobName,
                                      String jobGroupName)
                               throws Exception

  Specified by:
    `getJobDetail` in interface `QuartzSchedulerMBean`
  Returns:
    CompositeData:JobDetail
  Throws:
    `Exception`
  See Also:
    `JobDetailSupport`

### getJobGroupNames

    public List<String> getJobGroupNames()
                                  throws Exception

  Specified by:
    `getJobGroupNames` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getJobNames

    public List<String> getJobNames(String groupName)
                             throws Exception

  Specified by:
    `getJobNames` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getJobStoreClassName

    public String getJobStoreClassName()

  Specified by:
    `getJobStoreClassName` in interface `QuartzSchedulerMBean`

### getPausedTriggerGroups

    public Set<String> getPausedTriggerGroups()
                                       throws Exception

  Specified by:
    `getPausedTriggerGroups` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getTrigger

    public CompositeData getTrigger(String name,
                                    String groupName)
                             throws Exception

  Specified by:
    `getTrigger` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getTriggerGroupNames

    public List<String> getTriggerGroupNames()
                                      throws Exception

  Specified by:
    `getTriggerGroupNames` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getTriggerNames

    public List<String> getTriggerNames(String groupName)
                                 throws Exception

  Specified by:
    `getTriggerNames` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getTriggerState

    public String getTriggerState(String triggerName,
                                  String triggerGroupName)
                           throws Exception

  Specified by:
    `getTriggerState` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getTriggersOfJob

    public List<CompositeData> getTriggersOfJob(String jobName,
                                                String jobGroupName)
                                         throws Exception

  Specified by:
    `getTriggersOfJob` in interface `QuartzSchedulerMBean`
  Returns:
    List of CompositeData:[CronTrigger|SimpleTrigger] for the specified job.
  Throws:
    `Exception`
  See Also:
    `TriggerSupport`

### interruptJob

    public boolean interruptJob(String jobName,
                                String jobGroupName)
                         throws Exception

  Specified by:
    `interruptJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### interruptJob

    public boolean interruptJob(String fireInstanceId)
                         throws Exception

  Specified by:
    `interruptJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### scheduleJob

    public Date scheduleJob(String jobName,
                            String jobGroup,
                            String triggerName,
                            String triggerGroup)
                     throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Schedule an existing job with an existing trigger.

  Specified by:
    `scheduleJob` in interface `QuartzSchedulerMBean`
  Returns:
    date of nextFireTime
  Throws:
    `Exception`

### unscheduleJob

    public boolean unscheduleJob(String triggerName,
                                 String triggerGroup)
                          throws Exception

  Specified by:
    `unscheduleJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### clear

    public void clear()
               throws Exception

  Specified by:
    `clear` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `QuartzSchedulerMBean`

### isShutdown

    public boolean isShutdown()

  Specified by:
    `isShutdown` in interface `QuartzSchedulerMBean`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `QuartzSchedulerMBean`

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `QuartzSchedulerMBean`

### standby

    public void standby()

  Specified by:
    `standby` in interface `QuartzSchedulerMBean`

### isStandbyMode

    public boolean isStandbyMode()

  Specified by:
    `isStandbyMode` in interface `QuartzSchedulerMBean`

### getSchedulerName

    public String getSchedulerName()

  Specified by:
    `getSchedulerName` in interface `QuartzSchedulerMBean`

### getSchedulerInstanceId

    public String getSchedulerInstanceId()

  Specified by:
    `getSchedulerInstanceId` in interface `QuartzSchedulerMBean`

### getThreadPoolClassName

    public String getThreadPoolClassName()

  Specified by:
    `getThreadPoolClassName` in interface `QuartzSchedulerMBean`

### getThreadPoolSize

    public int getThreadPoolSize()

  Specified by:
    `getThreadPoolSize` in interface `QuartzSchedulerMBean`

### pauseJob

    public void pauseJob(String jobName,
                         String jobGroup)
                  throws Exception

  Specified by:
    `pauseJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseJobs

    public void pauseJobs(GroupMatcher<JobKey> matcher)
                   throws Exception

  Throws:
    `Exception`

### pauseJobGroup

    public void pauseJobGroup(String jobGroup)
                       throws Exception

  Specified by:
    `pauseJobGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseJobsStartingWith

    public void pauseJobsStartingWith(String jobGroupPrefix)
                               throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all jobs whose group starts with jobGroupPrefix

  Specified by:
    `pauseJobsStartingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseJobsEndingWith

    public void pauseJobsEndingWith(String jobGroupSuffix)
                             throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all jobs whose group ends with jobGroupSuffix

  Specified by:
    `pauseJobsEndingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseJobsContaining

    public void pauseJobsContaining(String jobGroupToken)
                             throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all jobs whose group contains jobGroupToken

  Specified by:
    `pauseJobsContaining` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseJobsAll

    public void pauseJobsAll()
                      throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all jobs whose group is anything

  Specified by:
    `pauseJobsAll` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseAllTriggers

    public void pauseAllTriggers()
                          throws Exception

  Specified by:
    `pauseAllTriggers` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseTriggerGroup

    public void pauseTriggerGroup(String triggerGroup)
                           throws Exception

  Specified by:
    `pauseTriggerGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseTriggersStartingWith

    public void pauseTriggersStartingWith(String triggerGroupPrefix)
                                   throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all triggers whose group starts with triggerGroupPrefix

  Specified by:
    `pauseTriggersStartingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseTriggersEndingWith

    public void pauseTriggersEndingWith(String triggerGroupSuffix)
                                 throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all triggers whose group ends with triggerGroupSuffix

  Specified by:
    `pauseTriggersEndingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseTriggersContaining

    public void pauseTriggersContaining(String triggerGroupToken)
                                 throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all triggers whose group contains triggerGroupToken

  Specified by:
    `pauseTriggersContaining` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseTriggersAll

    public void pauseTriggersAll()
                          throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Pause all triggers whose group is anything

  Specified by:
    `pauseTriggersAll` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### pauseTrigger

    public void pauseTrigger(String triggerName,
                             String triggerGroup)
                      throws Exception

  Specified by:
    `pauseTrigger` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeAllTriggers

    public void resumeAllTriggers()
                           throws Exception

  Specified by:
    `resumeAllTriggers` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeJob

    public void resumeJob(String jobName,
                          String jobGroup)
                   throws Exception

  Specified by:
    `resumeJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeJobs

    public void resumeJobs(GroupMatcher<JobKey> matcher)
                    throws Exception

  Throws:
    `Exception`

### resumeJobGroup

    public void resumeJobGroup(String jobGroup)
                        throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all jobs in the given group

  Specified by:
    `resumeJobGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeJobsStartingWith

    public void resumeJobsStartingWith(String jobGroupPrefix)
                                throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all jobs whose group starts with jobGroupPrefix

  Specified by:
    `resumeJobsStartingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeJobsEndingWith

    public void resumeJobsEndingWith(String jobGroupSuffix)
                              throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all jobs whose group ends with jobGroupSuffix

  Specified by:
    `resumeJobsEndingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeJobsContaining

    public void resumeJobsContaining(String jobGroupToken)
                              throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all jobs whose group contains jobGroupToken

  Specified by:
    `resumeJobsContaining` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeJobsAll

    public void resumeJobsAll()
                       throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all jobs whose group is anything

  Specified by:
    `resumeJobsAll` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeTrigger

    public void resumeTrigger(String triggerName,
                              String triggerGroup)
                       throws Exception

  Specified by:
    `resumeTrigger` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeTriggerGroup

    public void resumeTriggerGroup(String triggerGroup)
                            throws Exception

  Specified by:
    `resumeTriggerGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeTriggersStartingWith

    public void resumeTriggersStartingWith(String triggerGroupPrefix)
                                    throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all triggers whose group starts with triggerGroupPrefix

  Specified by:
    `resumeTriggersStartingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeTriggersEndingWith

    public void resumeTriggersEndingWith(String triggerGroupSuffix)
                                  throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all triggers whose group ends with triggerGroupSuffix

  Specified by:
    `resumeTriggersEndingWith` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeTriggersContaining

    public void resumeTriggersContaining(String triggerGroupToken)
                                  throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all triggers whose group contains triggerGroupToken

  Specified by:
    `resumeTriggersContaining` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### resumeTriggersAll

    public void resumeTriggersAll()
                           throws Exception

  Description copied from interface: `QuartzSchedulerMBean`
  Resume all triggers whose group is anything

  Specified by:
    `resumeTriggersAll` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### triggerJob

    public void triggerJob(String jobName,
                           String jobGroup,
                           Map<String,String> jobDataMap)
                    throws Exception

  Specified by:
    `triggerJob` in interface `QuartzSchedulerMBean`
  Throws:
    `Exception`

### triggerJob

    public void triggerJob(CompositeData trigger)
                    throws Exception

  Throws:
    `Exception`

### jobAdded

    public void jobAdded(JobDetail jobDetail)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been added.

  Specified by:
    `jobAdded` in interface `SchedulerListener`

### jobDeleted

    public void jobDeleted(JobKey jobKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.

  Specified by:
    `jobDeleted` in interface `SchedulerListener`

### jobScheduled

    public void jobScheduled(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.

  Specified by:
    `jobScheduled` in interface `SchedulerListener`

### jobUnscheduled

    public void jobUnscheduled(TriggerKey triggerKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.

  Specified by:
    `jobUnscheduled` in interface `SchedulerListener`
  See Also:
    `SchedulerListener.schedulingDataCleared()`

### schedulingDataCleared

    public void schedulingDataCleared()

  Description copied from interface: `SchedulerListener`
  Called by the ``Scheduler`` to inform the listener that all jobs, triggers and calendars were deleted.

  Specified by:
    `schedulingDataCleared` in interface `SchedulerListener`

### jobPaused

    public void jobPaused(JobKey jobKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been paused.

  Specified by:
    `jobPaused` in interface `SchedulerListener`

### jobsPaused

    public void jobsPaused(String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``JobDetail`s` has been paused.

  Specified by:
    `jobsPaused` in interface `SchedulerListener`
  Parameters:
    `jobGroup` - the paused group, or null if all were paused

### jobsResumed

    public void jobsResumed(String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``JobDetail`s` has been un-paused.

  Specified by:
    `jobsResumed` in interface `SchedulerListener`

### jobResumed

    public void jobResumed(JobKey jobKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been un-paused.

  Specified by:
    `jobResumed` in interface `SchedulerListener`

### schedulerError

    public void schedulerError(String msg,
                               SchedulerException cause)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.

  The `getErrorCode()` method of the given SchedulerException can be used to determine more specific information about the type of error that was encountered.

  Specified by:
    `schedulerError` in interface `SchedulerListener`

### schedulerStarted

    public void schedulerStarted()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has started.

  Specified by:
    `schedulerStarted` in interface `SchedulerListener`

### schedulerStarting

    public void schedulerStarting()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it is starting.

  Specified by:
    `schedulerStarting` in interface `SchedulerListener`

### schedulerInStandbyMode

    public void schedulerInStandbyMode()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has move to standby mode.

  Specified by:
    `schedulerInStandbyMode` in interface `SchedulerListener`

### schedulerShutdown

    public void schedulerShutdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has shutdown.

  Specified by:
    `schedulerShutdown` in interface `SchedulerListener`

### schedulerShuttingdown

    public void schedulerShuttingdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has begun the shutdown sequence.

  Specified by:
    `schedulerShuttingdown` in interface `SchedulerListener`

### triggerFinalized

    public void triggerFinalized(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.

  Specified by:
    `triggerFinalized` in interface `SchedulerListener`

### triggersPaused

    public void triggersPaused(String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``Trigger`s` has been paused.

  If all groups were paused then triggerGroup will be null

  Specified by:
    `triggersPaused` in interface `SchedulerListener`
  Parameters:
    `triggerGroup` - the paused group, or null if all were paused

### triggerPaused

    public void triggerPaused(TriggerKey triggerKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has been paused.

  Specified by:
    `triggerPaused` in interface `SchedulerListener`

### triggersResumed

    public void triggersResumed(String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``Trigger`s` has been un-paused.

  Specified by:
    `triggersResumed` in interface `SchedulerListener`

### triggerResumed

    public void triggerResumed(TriggerKey triggerKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has been un-paused.

  Specified by:
    `triggerResumed` in interface `SchedulerListener`

### getName

    public String getName()

  Description copied from interface: `JobListener`

  Get the name of the `JobListener`.

  Specified by:
    `getName` in interface `JobListener`

### jobExecutionVetoed

    public void jobExecutionVetoed(JobExecutionContext context)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.

  Specified by:
    `jobExecutionVetoed` in interface `JobListener`
  See Also:
    `JobListener.jobToBeExecuted(JobExecutionContext)`

### jobToBeExecuted

    public void jobToBeExecuted(JobExecutionContext context)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).

  This method will not be invoked if the execution of the Job was vetoed by a ``TriggerListener``.

  Specified by:
    `jobToBeExecuted` in interface `JobListener`
  See Also:
    `JobListener.jobExecutionVetoed(JobExecutionContext)`

### jobWasExecuted

    public void jobWasExecuted(JobExecutionContext context,
                               JobExecutionException jobException)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.

  Specified by:
    `jobWasExecuted` in interface `JobListener`

### sendNotification

    public void sendNotification(String eventType)

  sendNotification

  Parameters:
    `eventType` -

### sendNotification

    public void sendNotification(String eventType,
                                 Object data)

  sendNotification

  Parameters:
    `eventType` -
    `data` -

### sendNotification

    public void sendNotification(String eventType,
                                 Object data,
                                 String msg)

  sendNotification

  Parameters:
    `eventType` -
    `data` -
    `msg` -

### addNotificationListener

    public void addNotificationListener(NotificationListener notif,
                                        NotificationFilter filter,
                                        Object callBack)

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  See Also:
    `NotificationBroadcaster.addNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  See Also:
    `NotificationBroadcaster.getNotificationInfo()`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationBroadcaster.removeNotificationListener(javax.management.NotificationListener)`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener notif,
                                           NotificationFilter filter,
                                           Object callBack)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationEmitter`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationEmitter.removeNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### isSampledStatisticsEnabled

    public boolean isSampledStatisticsEnabled()

  Specified by:
    `isSampledStatisticsEnabled` in interface `QuartzSchedulerMBean`

### setSampledStatisticsEnabled

    public void setSampledStatisticsEnabled(boolean enabled)

  Specified by:
    `setSampledStatisticsEnabled` in interface `QuartzSchedulerMBean`

### getJobsCompletedMostRecentSample

    public long getJobsCompletedMostRecentSample()

  Specified by:
    `getJobsCompletedMostRecentSample` in interface `QuartzSchedulerMBean`

### getJobsExecutedMostRecentSample

    public long getJobsExecutedMostRecentSample()

  Specified by:
    `getJobsExecutedMostRecentSample` in interface `QuartzSchedulerMBean`

### getJobsScheduledMostRecentSample

    public long getJobsScheduledMostRecentSample()

  Specified by:
    `getJobsScheduledMostRecentSample` in interface `QuartzSchedulerMBean`

### getPerformanceMetrics

    public Map<String,Long> getPerformanceMetrics()

  Specified by:
    `getPerformanceMetrics` in interface `QuartzSchedulerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.